/*
  Module BME_280 DUE
  part of Arduino Mega Server project
*/

#ifdef BME_FEATURE

#include <BME280I2C.h>

// датчик температуры, давления и влажности
BME280I2C bme;                   // Default : forced mode, standby time = 1000 ms
                              // Oversampling = pressure ×1, temperature ×1, humidity ×1, filter off,

   float temp(NAN), hum(NAN), pres(NAN);



  void bmeInit() {
 bme.begin();
    
 
  modulBME = MODUL_ENABLE;
  
  started("BME", true);


  
}


void bmeWorks() {



     // Отображаем данные с датчика BME-280
      bme.read(pres, temp, hum, true, B101);   // unit: B000 = Pa, B001 = hPa, B010 = Hg, B011 = atm, B100 = bar, B101 = torr, B110 = N/m^2, B111 = psi
      //tft.setTextColor(Orange, Black);

      tft.setTextColor(Orange, Yellow);
      tft.setTextSize(3);
      tft.setCursor(82, 60);
      tft.print(temp,1);
      tft.print("C  ");
      //tft.setTextColor(Blue, Black);

      tft.setTextColor(Blue, Yellow);
      tft.print(hum,1);
      tft.print("% ");
      tft.setCursor(108, 180);
     // tft.setTextColor(Olive, Black);

      tft.setTextColor(Olive, Yellow);
      tft.print(pres,1);
      tft.print(" mm.h"); 
  
     

     //
 

      Serial.print(temp,1);
      Serial.print(" C , ");
     // tft.print(temp,1);
      Serial.print(hum,1);
      Serial.print("% ,");
     // tft.print(hum,1);
      Serial.print(pres,1);
      Serial.println(" mm.Hg."); 
     // tft.print(pres,1);
      

     

    
 
}
#endif
